Subject: RE: draft-ietf-mpls-generalized-signaling-00.txt

From: "Guo, Dan" <[email-masked]>
Date: Mon, 23 Oct 2000 21:28:55 -0700

Adrian,

I also feel it was not clear how label-set is conveyed.

From your example (like x-1...), you seem to imply that wavelength is
represented by an index (like 1...n). 
Such thing has to be stipulated in a global sense (ie. every node agrees).
The draft is not clear about this. 

In the draft, it says "subchannel to local channel identifiers (eg.
wavelength) mappings are a local matter." Some clarification is needed,
especially with types "inclusive" and "exclusive."
It would be super if illustrated with simple examples.

Dan

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]]
Sent: Monday, October 23, 2000 11:11 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: draft-ietf-mpls-generalized-signaling-00.txt
3.5.1 Label Set
It isn't clear how a sequence of subchannels that form a 
label set are conveyed.  It can't be the case that you
simply add multiple Subchannels to the Object/TLV since
the Type is closely associated with each individual 
Subchannel.
We should either define Label_Set as Explicit_Route with
a sequence of subobjects.  Or we should allow a series
of Label_Sets in the Path/LABEL_REQUEST.
In either case, it would be good to put in some motherhood
about ordering the elements for clear interpretation. For
example, suppose x<y<z.  Can I define the label set
{x, x+1, ... , y-1, y+1, ..., z} using three subchannels
(viz. start x, exclude y, end z) or must I use four?

3.5.2 Label_Set Procedures
I suppose it is implicit, but there is no mention of inserting 
Label_Set for the first time.